### Method

# Gtk IconView get_cell_rect

#### Declaration [src]

    gboolean
    gtk_icon_view_get_cell_rect (
      GtkIconView* icon_view,
      GtkTreePath* path,
      GtkCellRenderer* cell,
      GdkRectangle* rect
    )

#### Description [src]

Fills the bounding rectangle in widget coordinates for the cell specified by `path` and `cell`. If `cell` is `NULL` the main cell area is used.

This function is only valid if `icon_view` is realized.

#### Parameters

`path` | `GtkTreePath`
| A `GtkTreePath`.
| The data is owned by the caller of the function.
`cell` | `GtkCellRenderer`
| A `GtkCellRenderer`.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
`rect` | `GdkRectangle*`
| Rectangle to fill with cell rect.
| The argument will be set by the function.
| The data is owned by the caller of the function.

#### Return value

Returns: | `gboolean`
| `FALSE` if there is no such item, `TRUE` otherwise.